Package org.apache.tomcat.dbcp.pool2

## Interface SwallowedExceptionListener

All Known Implementing Classes:
  `SwallowedExceptionLogger`

    public interface SwallowedExceptionListener

Pools that unavoidably swallow exceptions may be configured with an instance of this listener so the user may receive notification of when this happens. The listener should not throw an exception when called but pools calling listeners should protect themselves against exceptions anyway.

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onSwallowException​(Exception e)` Notifies this instance every time the implementation unavoidably swallows an exception.

### Method Detail

#### onSwallowException

    void onSwallowException​(Exception e)

Notifies this instance every time the implementation unavoidably swallows an exception.

Parameters:
  `e` - The exception that was swallowed